=== debian/changelog ===
librdkafka (0.11.0-1) unstable; urgency=medium

  * New upstream release
  * Update librdkafka1.symbols for 0.11.0
  * Add NEWS entry about librdkafka's configuration changes
  * Explicitly depend on libz4-dev with framing support (lz4frame.h)
  * Bump Standards-Version to 4.0.0, no changes needed
  * Setup gbp to use git as an upstream source

 -- Christos Trochalakis <ctrochalakis@debian.org>  Thu, 20 Jul 2017 15:52:06 +0300

librdkafka (0.9.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 21 Jun 2017 12:10:57 +0300

librdkafka (0.9.5-1) experimental; urgency=medium

  * New upstream release.
  * Add a README.source note about shipping lz4 in the upstream tarball.
    lz4 is not used in Debian builds.
  * Add copyright for the lz4 library.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Tue, 18 Apr 2017 12:30:07 +0300

librdkafka (0.9.4-1) experimental; urgency=medium

  [ Faidon Liambotis ]
  * Update debian/watch with upstream's new convention.

  [ Christos Trochalakis ]
  * New upstream release.
  * Update librdkafka1.symbols for 0.9.4.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Mon, 27 Feb 2017 11:42:12 +0200
