## librdkafka 0.11.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.4)
+cmake_minimum_required(VERSION 3.2)
 project(RdKafka)
 
 # Options. No 'RDKAFKA_' prefix to match old C++ code. {
@@ -12,6 +12,8 @@
 option(ENABLE_REFCNT_DEBUG "Enable refcnt debugging" OFF)
 option(ENABLE_SHAREDPTR_DEBUG "Enable sharedptr debugging" OFF)
 
+set(TRYCOMPILE_SRC_DIR "${CMAKE_CURRENT_LIST_DIR}/packaging/cmake/try_compile")
+
 # ZLIB {
 find_package(ZLIB QUIET)
 if(ZLIB_FOUND)
@@ -23,13 +25,12 @@
 # }
 
 # LibDL {
-find_package(LIBDL QUIET)
-if(LIBDL_FOUND)
-  set(with_libdl_default ON)
-else()
-  set(with_libdl_default OFF)
-endif()
-option(WITH_LIBDL "With LibDL" ${with_libdl_default})
+try_compile(
+    WITH_LIBDL
+    "${CMAKE_CURRENT_BINARY_DIR}/try_compile"
+    "${TRYCOMPILE_SRC_DIR}/dlopen_test.c"
+    LINK_LIBRARIES "${CMAKE_DL_LIBS}"
+)
 # }
 
 # WITH_PLUGINS {
@@ -56,14 +57,37 @@
 # }
 
 # SASL {
-include(FindPkgConfig)
-pkg_check_modules(SASL QUIET libsasl2)
-if(SASL_FOUND)
+if(WIN32)
   set(with_sasl_default ON)
 else()
-  set(with_sasl_default OFF)
+  include(FindPkgConfig)
+  pkg_check_modules(SASL libsasl2)
+  if(SASL_FOUND)
+    set(with_sasl_default ON)
+  else()
+    try_compile(
+        WITH_SASL_CYRUS_BOOL
+        "${CMAKE_CURRENT_BINARY_DIR}/try_compile"
+        "${TRYCOMPILE_SRC_DIR}/libsasl2_test.c"
+        LINK_LIBRARIES "-lsasl2"
+        )
+     if(WITH_SASL_CYRUS_BOOL)
+        set(with_sasl_default ON)
+        set(SASL_LIBRARIES "-lsasl2")
+     else()
+        set(with_sasl_default OFF)
+     endif()
+  endif()
 endif()
 option(WITH_SASL "With SASL" ${with_sasl_default})
+if(WITH_SASL)
+  if(WITH_SSL)
+    set(WITH_SASL_SCRAM ON)
+  endif()
+  if(NOT WIN32)
+    set(WITH_SASL_CYRUS ON)
+  endif()
+endif()
 # }
 
 # }
@@ -71,7 +95,6 @@
 option(RDKAFKA_BUILD_EXAMPLES "Build examples" ON)
 option(RDKAFKA_BUILD_TESTS "Build tests" ON)
 
-set(TRYCOMPILE_SRC_DIR "${CMAKE_CURRENT_LIST_DIR}/packaging/cmake/try_compile")
 
 # In:
 # * TRYCOMPILE_SRC_DIR
@@ -101,7 +124,7 @@
 # * WITH_SASL
 # * HAVE_REGEX
 # * HAVE_STRNDUP
-configure_file(config.h.in "${GENERATED_DIR}/config.h" @ONLY)
+configure_file("packaging/cmake/config.h.in" "${GENERATED_DIR}/config.h")
 
 # Installation (https://github.com/forexample/package-example) {
