=== debian/changelog ===
librdkafka (0.11.3-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 23:22:34 +0000

librdkafka (0.11.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version, no changes needed
  * Add NEWS entry about librdkafka's configuration changes

 -- Mpampis Kostas <charkost.rb@gmail.com>  Mon, 18 Dec 2017 12:29:39 +0200

librdkafka (0.11.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version, no changes needed

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 18 Oct 2017 12:44:25 +0300
