=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: librdkafka
 Priority: optional
-Maintainer: Faidon Liambotis <paravoid@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Faidon Liambotis <paravoid@debian.org>
 Uploaders: Christos Trochalakis <ctrochalakis@debian.org>
 Build-Depends: debhelper (>= 10),
                liblz4-dev (>= 0.0~r123),
@@ -8,7 +9,7 @@
                libssl-dev,
                python,
                zlib1g-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Section: libs
 Homepage: https://github.com/edenhill/librdkafka
 Vcs-Git: https://anonscm.debian.org/cgit/pkg-kafka/librdkafka.git -b debian/sid
