## librdkafka 0.11.5

=== debian/changelog ===
librdkafka (0.11.5-1) unstable; urgency=medium

  * New upstream release
  * Update librdkafka1.symbols for 0.11.5
  * Bump Standards-Version to 4.1.5, no changes needed

 -- Christos Trochalakis <ctrochalakis@debian.org>  Thu, 19 Jul 2018 17:06:55 +0300

librdkafka (0.11.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version, no changes needed
  * Update librdkafka1.symbols for 0.11.4
  * d/copyright:
    + Switch the copyright-format URL to https
    + Move license paragraph to the end

 -- Mpampis Kostas <charkost.rb@gmail.com>  Tue, 10 Apr 2018 13:19:03 +0300
