=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: librdkafka
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Faidon Liambotis <paravoid@debian.org>
+Maintainer: Faidon Liambotis <paravoid@debian.org>
 Uploaders: Christos Trochalakis <ctrochalakis@debian.org>
 Build-Depends: debhelper (>= 10),
                liblz4-dev (>= 0.0~r123),
@@ -9,11 +8,11 @@
                libssl-dev,
                python,
                zlib1g-dev
-Standards-Version: 4.1.2
+Standards-Version: 4.1.5
 Section: libs
 Homepage: https://github.com/edenhill/librdkafka
-Vcs-Git: https://anonscm.debian.org/cgit/pkg-kafka/librdkafka.git -b debian/sid
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kafka/librdkafka.git
+Vcs-Git: https://salsa.debian.org/kafka-team/librdkafka.git
+Vcs-Browser: https://salsa.debian.org/kafka-team/librdkafka
 
 Package: librdkafka1
 Architecture: any
