## librdkafka 0.11.6

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 check: file-check
 	@(for d in $(LIBSUBDIRS); do $(MAKE) -C $$d $@ || exit $?; done)
 
-install:
+install uninstall:
 	@(for d in $(LIBSUBDIRS); do $(MAKE) -C $$d $@ || exit $?; done)
 
 examples tests: .PHONY libs
