=== src-cpp/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,12 @@
 
 # Support '#include <rdkafcpp.h>'
 target_include_directories(rdkafka++ PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}>")
-
+if(NOT RDKAFKA_BUILD_STATIC)
+    target_compile_definitions(rdkafka++ PRIVATE LIBRDKAFKACPP_EXPORTS)
+    if(WIN32)
+        target_compile_definitions(rdkafka++ INTERFACE LIBRDKAFKACPP_EXPORTS=0)
+    endif()
+endif()
 install(
     TARGETS rdkafka++
     EXPORT "${targets_export_name}"
