=== src/Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 SRCS_$(WITH_SASL_SCRAM) += rdkafka_sasl_scram.c
 SRCS_$(WITH_SNAPPY) += snappy.c
 SRCS_$(WITH_ZLIB) += rdgz.c
+SRCS_$(WITH_HDRHISTOGRAM) += rdhdrhistogram.c
 
 SRCS_LZ4 = xxhash.c
 ifneq ($(WITH_LZ4_EXT), y)
@@ -35,11 +36,14 @@
 		rdkafka_partition.c rdkafka_subscription.c \
 		rdkafka_assignor.c rdkafka_range_assignor.c \
 		rdkafka_roundrobin_assignor.c rdkafka_feature.c \
-		rdcrc32.c crc32c.c rdaddr.c rdrand.c rdlist.c tinycthread.c \
+		rdcrc32.c crc32c.c rdmurmur2.c rdaddr.c rdrand.c rdlist.c \
+		tinycthread.c tinycthread_extra.c \
 		rdlog.c rdstring.c rdkafka_event.c rdkafka_metadata.c \
 		rdregex.c rdports.c rdkafka_metadata_cache.c rdavl.c \
 		rdkafka_sasl.c rdkafka_sasl_plain.c rdkafka_interceptor.c \
 		rdkafka_msgset_writer.c rdkafka_msgset_reader.c \
+		rdkafka_header.c rdkafka_admin.c rdkafka_aux.c \
+		rdkafka_background.c \
 		rdvarint.c rdbuf.c rdunittest.c \
 		$(SRCS_y)
 
@@ -63,6 +67,7 @@
 		printf "$(MKL_RED)FAILED$(MKL_CLR_RESET)\n")
 
 install: lib-install
+uninstall: lib-uninstall
 
 clean: lib-clean
 
@@ -72,10 +77,10 @@
 ifeq ($(WITH_LDS),y)
 # Enable linker script if supported by platform
 LIB_LDFLAGS+= $(LDFLAG_LINKERSCRIPT)$(LIBNAME).lds
-endif
 
 $(LIBNAME).lds: $(HDRS)
 	@(printf "$(MKL_YELLOW)Generating linker script $@ from $(HDRS)$(MKL_CLR_RESET)\n" ; \
 	  cat $(HDRS) | ../lds-gen.py > $@)
+endif
 
 -include $(DEPS)
