=== tests/Makefile ===
--- 
+++ 
@@ -1,28 +1,30 @@
-TESTSRCS_C = $(wildcard 0*-*.c)
-TESTSRCS_CXX= $(wildcard 0*-*.cpp)
+TESTSRCS_C = $(wildcard [08]*-*.c)
+TESTSRCS_CXX= $(wildcard [08]*-*.cpp)
 OBJS	  = $(TESTSRCS_C:%.c=%.o) $(TESTSRCS_CXX:%.cpp=%.o)
 
 BIN	  = merged
 LIBS	 += -lrdkafka++ -lrdkafka -lstdc++
-OBJS	 += test.o testcpp.o tinycthread.o rdlist.o sockem.o
+OBJS	 += test.o testcpp.o tinycthread.o tinycthread_extra.o rdlist.o sockem.o
 CFLAGS += -I../src
 CXXFLAGS += -I../src -I../src-cpp
 LDFLAGS += -rdynamic -L../src -L../src-cpp
 
-KAFKA_VERSION?=0.10.2.0
+KAFKA_VERSION?=1.1.0
 
 -include ../Makefile.config
 
 all: $(BIN) run_par
 
-trunk: build
-	./broker_version_tests.py trunk
-	./sasl_test.py trunk
+broker: $(BIN)
+	./broker_version_tests.py --conf '{"parallel":1}' $(KAFKA_VERSION)
+
+sasl: $(BIN)
+	./sasl_test.py --conf '{"parallel":1}' --no-ssl --debug $(KAFKA_VERSION)
 
 # Run the full test suite(s)
-full: build
-	./broker_version_tests.py $(KAFKA_VERSION)
-	./sasl_test.py $(KAFKA_VERSION)
+full: broker sasl
+
+
 
 run_par: $(BIN)
 	@echo "Running tests in parallel"
@@ -35,6 +37,10 @@
 run_local: $(BIN)
 	@echo "Running local broker-less tests"
 	./run-test.sh -p5 -l ./$(BIN)
+
+# Delete all test topics (based on prefix)
+delete_topics:
+	TESTS=none ./run-test.sh -D ./$(BIN) bare
 
 .PHONY: interceptor_test
 
@@ -57,6 +63,9 @@
 tinycthread.o: ../src/tinycthread.c
 	$(CC) $(CPPFLAGS) $(CFLAGS) -c $<
 
+tinycthread_extra.o: ../src/tinycthread_extra.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c $<
+
 rdlist.o: ../src/rdlist.c
 	$(CC) $(CPPFLAGS) $(CFLAGS) -c $<
