=== debian/changelog ===
librdkafka (0.11.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch to fix hurd-i386 build (Closes: #900716).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Nov 2018 18:41:48 +0100

librdkafka (0.11.6-1) unstable; urgency=medium

  * New upstream version
  * Update librdkafka1.symbols for 0.11.6
  * Bump Standards-Version, no changes needed
  * Drop references to the supported protocol versions

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 24 Oct 2018 12:01:10 +0300
