=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libssl-dev,
                python,
                zlib1g-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Section: libs
 Homepage: https://github.com/edenhill/librdkafka
 Vcs-Git: https://salsa.debian.org/kafka-team/librdkafka.git
@@ -23,7 +23,7 @@
  containing both Producer and Consumer support. It was designed with message
  delivery reliability and high performance in mind, current figures exceed
  800000 msgs/second for the producer and 3 million msgs/second for the
- consumer. It implements both the 0.8 and 0.9 versions of the protocol.
+ consumer.
  .
  More information about Apache Kafka can be found at http://kafka.apache.org/
  .
@@ -38,7 +38,7 @@
  containing both Producer and Consumer support. It was designed with message
  delivery reliability and high performance in mind, current figures exceed
  800000 msgs/second for the producer and 3 million msgs/second for the
- consumer. It implements both the 0.8 and 0.9 versions of the protocol.
+ consumer.
  .
  More information about Apache Kafka can be found at http://kafka.apache.org/
  .
@@ -56,7 +56,7 @@
  containing both Producer and Consumer support. It was designed with message
  delivery reliability and high performance in mind, current figures exceed
  800000 msgs/second for the producer and 3 million msgs/second for the
- consumer. It implements both the 0.8 and 0.9 versions of the protocol.
+ consumer.
  .
  More information about Apache Kafka can be found at http://kafka.apache.org/
  .
