=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_EXPORT_BUILDFLAGS=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow,-pie
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --without systemd,autoreconf

override_dh_strip:
	dh_strip -O--dbgsym-migration='librdkafka1-dbg (<< 0.9.1-1~)'
